Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa

From: Tim Cross <[email-masked]>
Date: Sat, 20 Jul 2019 01:46:16 +1000

libgnutls-version’s value is 30605

➜  bin ldd emacs-26.2 | grep gnutls
libgnutls.so.30 => /usr/lib/x86_64-linux-gnu/libgnutls.so.30
(0x00007f78d3a1e000)

I still suspect the issue may have been server rather than client. This
system with the same configuration has been connecting to elpa.gnu.org over
https since I first built it when 26.2 was released.  It is only today that
I found https connections to elpa.gnu.org failed.

Note also that to be sure, I did a rebuild and  reinstall of emacs just in
case it had been linked against an older library. This had no effect.

According the the gnutls NEWS file, this version does support 1.3

Tim

On Sat, 20 Jul 2019 at 00:14, Noam Postavsky <[email-masked]> wrote:

> Tim Cross <[email-masked]> writes:
>
> > Should have be a little clearer. That work-around causes all https
> > connections to fail. As you will see from the error I posted, that error
> > was from melpa, which works without that setting. The same error with
> > elpa.gnu.org as well.  Without that setting, the melpa https connection
> > works and only the elpa https connection fails.
>
> > On Fri, 19 Jul 2019 at 22:09, Tim Cross <[email-masked]> wrote:
> >>
> >> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
> >> "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits
> 256
> >> :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist
> nil
> >> :verify-flags nil :verify-error nil :callbacks nil)
>
> That's the behaviour I would expect for gnutls versions 3.6.2 and
> earlier (because gnutls only started supporting TLS1.3 at version
> 3.6.3).  But you said
>
> > My GNUTLS version looks to be 3.6.5. This is a Ubuntu 19.04 system (which
> > was released last April) with all updates applied.
>
> so that seems a little strange.  Does libgnutls-version have the 30605
> value?  Can you also show the output from
>
>     ldd $(which emacs) | grep gnutls
>
>

-- 
regards,

Tim

--
Tim Cross